### Hierarchy

- ReadLargePropertyParametersVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- visitSequence
- visitSequence

## Constructors

### constructor

- new ReadLargePropertyParametersVisitor(value: string | object): ReadLargePropertyParametersVisitor

- - Defined in proxy/ReadLargePropertyParametersVisitor.ts:8

  #### Parameters

  - ##### value: string | object

  #### Returns ReadLargePropertyParametersVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in proxy/ReadLargePropertyParametersVisitor.ts:8

## Methods

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in proxy/ReadLargePropertyParametersVisitor.ts:29

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in proxy/ReadLargePropertyParametersVisitor.ts:33

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in proxy/ReadLargePropertyParametersVisitor.ts:37

  #### Returns any

### visitSequence

- visitSequence(): number

- - Defined in proxy/ReadLargePropertyParametersVisitor.ts:43

  #### Returns number

### Static visitSequence

- visitSequence(jsonObject: object): number

- - Defined in proxy/ReadLargePropertyParametersVisitor.ts:23

  #### Parameters

  - ##### jsonObject: object

  #### Returns number

Generated using TypeDoc